Bug 277878 - bluedevils fails to pair with bt gps unit (pin 0000 is not used)
Summary: bluedevils fails to pair with bt gps unit (pin 0000 is not used)
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Unclassified
Component: bluetooth-wizard (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Alex Fiestas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-16 07:48 UTC by Fabio Coatti
Modified: 2011-08-01 09:16 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 1.1.1.


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Coatti 2011-07-16 07:48:29 UTC
Version:           unspecified (using KDE 4.6.4) 
OS:                Linux

Hi all, I'm trying to pair my laptop (gentoo, KDE 4.6.5, bluedevil 1.1) with a gps device (mobileMate 886), but the process stops halfway.
Basically, when I try to pair the device and I tick "manual PIN", entering 0000, the default pin for the device that obviously doesnt' have any keyboard, kde wizard prompt me with a random pin asking me to enter it in the device, obviously a no-go. Same device works just fine with an android device and on the same laptop, using windows in virtualbox. I can therefore exclude hardware problems. How I can try to have the device correctly paired?


Reproducible: Always

Steps to Reproduce:
Just try to pair the device using kde wizard

Actual Results:  
prompts for a pin, asking to enter it into device to be paired.

Expected Results:  
no pin request (0000 pin being already entered) and device paired
Comment 1 Alex Fiestas 2011-07-16 14:43:59 UTC
OMG, I can reproduce the issue, will try to fix asap.

Sorry :/
Comment 2 Alex Fiestas 2011-07-16 14:55:11 UTC
Bug fixed, will be released with 1.1.1 :)!

Despite the bug, we've a small database with exceptions like your dive so we can provide a more automatic experience, do you mind to paste here the output of 
"hcitool scan" ? 

With that, we can add your device to the database so it will pair automatically in both, GNOME and KDE :)!

Thanks!
Comment 3 Alex Fiestas 2011-07-16 15:47:43 UTC
Git commit 9106a4ec574b61ef008436210066fd00136a8f3d by Alex Fiestas.
Committed on 16/07/2011 at 16:51.
Pushed by afiestas into branch '1.1'.

Use manualPin()->checked instead of a unused method from Wizard

When we refactor the code seems that we forgot to remove all
Wizard::manualPin() usage.  This commit remove that code to be sure
that this never happen again.

BUG: 277878
FIXED-IN: 1.1.1.

M  +1    -3    src/wizard/pages/discoverpage.cpp
M  +0    -11   src/wizard/bluewizard.cpp
M  +0    -3    src/wizard/bluewizard.h

http://commits.kde.org/bluedevil/9106a4ec574b61ef008436210066fd00136a8f3d
Comment 4 Fabio Coatti 2011-07-16 21:18:25 UTC
thanks for the fix; meanwhile here the output of hcitool scan as requested:
calvin ~ # hcitool scan
Scanning ...
        00:1C:88:30:20:A6       886 GPS
Comment 5 Alex Fiestas 2011-07-30 23:49:54 UTC
Have you try to use the automatic mode? (without checking manual?) bluedevil should detect your device and put 0000 as PIN already :/

Can you try it?

Thanks!
Comment 6 Fabio Coatti 2011-08-01 09:16:58 UTC
Just tried; (kde 4.7.0 bluedevil 1.1.1) 
unfortunately the behaviour is the same: from an empty list of bt devices, I choose "add", after some seconds the gps dongle appears; choosing it and clicking on "next", leaving unticked "manual PIN", wizard prompts me with a pin to be entered.
Hitting "cancel", my bt dongle is listed on known devices list, 
with "associated" in green.

Seems a bit weird behaviour, what do you think?